com.amazonaws.codegen

## Class C2jModels

- java.lang.Object
- - com.amazonaws.codegen.C2jModels

    public class C2jModels
    extends Object

Container for service models and config files.

### Nested Class Summary

Nested Classes
`static class` `C2jModels.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static C2jModels.Builder` `builder()`
`BasicCodeGenConfig` `codeGenConfig()`
`CustomizationConfig` `customizationConfig()`
`ServiceExamples` `examplesModel()`
`ServiceModel` `serviceModel()`
`Waiters` `waitersModel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### serviceModel

    public ServiceModel serviceModel()

#### waitersModel

    public Waiters waitersModel()

#### examplesModel

    public ServiceExamples examplesModel()

#### codeGenConfig

    public BasicCodeGenConfig codeGenConfig()

#### customizationConfig

    public CustomizationConfig customizationConfig()

#### builder

    public static C2jModels.Builder builder()